[134620] trunk/dports/gnome/gnumeric

devans at macports.org devans at macports.org
Tue Mar 31 22:37:44 PDT 2015


Revision: 134620
          https://trac.macports.org/changeset/134620
Author:   devans at macports.org
Date:     2015-03-31 22:37:44 -0700 (Tue, 31 Mar 2015)
Log Message:
-----------
gnumeric: reconfigure using autogen.sh for intltool 0.51 compatibility.

Modified Paths:
--------------
    trunk/dports/gnome/gnumeric/Portfile

Added Paths:
-----------
    trunk/dports/gnome/gnumeric/files/autogen.sh

Modified: trunk/dports/gnome/gnumeric/Portfile
===================================================================
--- trunk/dports/gnome/gnumeric/Portfile	2015-04-01 03:51:54 UTC (rev 134619)
+++ trunk/dports/gnome/gnumeric/Portfile	2015-04-01 05:37:44 UTC (rev 134620)
@@ -29,26 +29,34 @@
 checksums           rmd160  293dcc0b97c4fc63e900572b0c41116806facb26 \
                     sha256  6eed42120babb7b2a857115f2ad6320bf255c7bd71a939344e5a6df744a09ef4
 
-depends_build       port:gnome-doc-utils \
+depends_build       port:pkgconfig \
                     port:intltool \
-                    port:pkgconfig
+                    port:gnome-doc-utils \
+                    port:gnome-common \
+                    port:autoconf \
+                    port:automake \
+                    port:libtool
 
 # update-desktop-database is provided by desktop-file-utils
 
 depends_lib         port:desktop-file-utils \
+                    port:gtk3 \
                     port:goffice \
                     port:psiconv \
                     port:pxlib \
                     port:perl5.16
 
+gobject_introspection yes
+
 patchfiles          patch-configure.ac.diff
 
-gobject_introspection yes
+# reconfigure using autogen.sh for intltool 0.51 compatibility
 
-# autoreconf to reconfigure using our intltool.m4
+post-patch {
+    xinstall -m 755 ${filespath}/autogen.sh ${worksrcpath}
+}
 
-use_autoreconf      yes
-autoreconf.args     -fvi
+configure.cmd       ./autogen.sh
 
 configure.perl      ${prefix}/bin/perl5.16
 

Added: trunk/dports/gnome/gnumeric/files/autogen.sh
===================================================================
--- trunk/dports/gnome/gnumeric/files/autogen.sh	                        (rev 0)
+++ trunk/dports/gnome/gnumeric/files/autogen.sh	2015-04-01 05:37:44 UTC (rev 134620)
@@ -0,0 +1,88 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+PKG_NAME="Gnumeric"
+
+REQUIRED_AUTOMAKE_VERSION=1.9.0
+REQUIRED_LIBTOOL_VERSION=1.4.3
+
+# We use the XGETTEXT_KEYWORDS variable, thus we require:
+REQUIRED_INTLTOOL_VERSION=0.29
+
+# We require Automake 1.7.2, which requires Autoconf 2.54.
+# (It needs _AC_AM_CONFIG_HEADER_HOOK, for example.)
+REQUIRED_AUTOCONF_VERSION=2.54
+
+USE_GNOME2_MACROS=1
+USE_COMMON_DOC_BUILD=yes
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(test -f $srcdir/configure.ac \
+  && test -d $srcdir/src \
+  && test -f $srcdir/src/gnumeric.h) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level gnumeric directory"
+    exit 1
+}
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+  IFS="$ifs_save"
+  test -z "$dir" && dir=.
+  if test -f "$dir/gnome-autogen.sh" ; then
+    gnome_autogen="$dir/gnome-autogen.sh"
+    gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+    break
+  fi
+done
+
+if test -z "$gnome_autogen" ; then
+  echo "You need to install the gnome-common module and make"
+  echo "sure the gnome-autogen.sh script is in your \$PATH."
+  exit 1
+fi
+
+GNOME_DATADIR="$gnome_datadir"
+
+# Dont't run configure yet, ...
+GNM_NOCONFIGURE=$NOCONFIGURE
+NOCONFIGURE=1
+. $gnome_autogen
+
+# We have our own copy of Makefile.in.in generated October 2008.
+# One of the reasons why we need a local copy is that
+# we generate po-functions/Makefile.in.in from it, which is committed to
+# SVN, so this file cannot depend on the versions of the tools which the
+# developers have installed.
+#
+printbold "Creating po/Makefile.in.in and po-functions/Makefile.in.in."
+#rm -f $srcdir/po/Makefile.in.in $srcdir/po-functions/Makefile.in.in
+rm -f $srcdir/po-functions/Makefile.in.in
+#cp $srcdir/po/Makefile.in.in.own $srcdir/po/Makefile.in.in
+sed '/^\(GETTEXT_PACKAGE\|subdir\) =/s/[ 	]*$/-functions/
+s|$(srcdir)/LINGUAS|$(top_srcdir)/po/LINGUAS|g
+/^GETTEXT_PACKAGE =/a\
+XGETTEXT_KEYWORDS = --keyword --keyword=F_
+/^EXTRA_DISTFILES/s/ LINGUAS//
+' $srcdir/po/Makefile.in.in >$srcdir/po-functions/Makefile.in.in
+
+printbold "Creating po-functions/POTFILES.{in,skip}."
+rm -f $srcdir/po-functions/POTFILES.in $srcdir/po-functions/POTFILES.skip
+# This regex matches names of XML files:
+xml_file_name='^((schemas|templates)/.+|[^/]+)\.in$|\.(glade|xml)(\.in)?$'
+( echo "# Generated by autogen.sh; do not edit."
+  egrep -v "^#|$xml_file_name" $srcdir/po/POTFILES.in
+) >$srcdir/po-functions/POTFILES.in
+( echo "# Generated by autogen.sh; do not edit."
+  test -f $srcdir/po/POTFILES.skip && grep -v '^#' $srcdir/po/POTFILES.skip
+  egrep "$xml_file_name" $srcdir/po/POTFILES.in
+) >$srcdir/po-functions/POTFILES.skip
+
+# ... and then proceed.
+if test "x$GNM_NOCONFIGURE" = x; then
+    printbold Running $srcdir/configure $conf_flags "$@" ...
+    $srcdir/configure $conf_flags "$@" \
+        && echo Now type \`make\' to compile $PKG_NAME || exit 1
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20150331/ca820475/attachment.html>


More information about the macports-changes mailing list